import sys
from setuptools import setup

mainscript = 'pixel-paint.py'

if sys.platform == 'darwin':
    extra_options = dict(
            setup_requires=['py2app'],
            app=[mainscript],
            options=dict(py2app=dict(
                iconfile='pixel-paint.icns',
            )),
            scripts=[mainscript],
    )
else:
    extra_options = dict(
            scripts=[mainscript],
    )

setup(
        name="PixelPaint",
        version="0.4",
        description="A Paint program for Total Control Lighting",
        author="Christopher De Vries",
        author_email = "devries@idolstarastronomer.com",
        license = "Artistic License 2.0",
        url = "http://www.idolstarastronomer.com/char-pixel_paint",
        install_requires = ['pyserial >= 2.4'],
        **extra_options
    )

